[Urgente] Un Plugin da me creato non va!!

  • Pagine (2):
  • 1
  • 2
  • »
Come avete letto dal titolo il plugin da me creato non va Sad

La versione del plugin dovrebbe essere la 1.7.9 R02.
di seguito vi lascio il file jar:
http://www.filedropper.com/testplugin

@sistem e @filoghost Potreste aiutarmi , è il mio primo plugin. Big Grin
Conzolez:
Nintendo 3DS XL (Blue-Black) v11.3 (Homebrew)
Gioco più giocato: The Legend of Zelda: Ocarina of Time 
Wii U (Premium Pack) v5.5.1 (Homebrew)
Gioco più giocato: The Legend of Zelda: Wind Waker HD
Nintendo Switch (Neon controllers) v2.0 
Gioco più giocato: The Legend of Zelda: Breath of The Wild

(No, non sono un fan di zelda Shifty )

PC:
Portatile schifoso da 300€
Metti questo file dentro il .jar del plugin:

[Immagine: serverlogo.png]
@zPirroZ3007 ma non dovrebbero esserci anche i permessi?

Mi dice lo stesso Invalid plugin.yml (Modificato 28/06/2015, 17:47 da C0mm4nd_.)
Conzolez:
Nintendo 3DS XL (Blue-Black) v11.3 (Homebrew)
Gioco più giocato: The Legend of Zelda: Ocarina of Time 
Wii U (Premium Pack) v5.5.1 (Homebrew)
Gioco più giocato: The Legend of Zelda: Wind Waker HD
Nintendo Switch (Neon controllers) v2.0 
Gioco più giocato: The Legend of Zelda: Breath of The Wild

(No, non sono un fan di zelda Shifty )

PC:
Portatile schifoso da 300€
No, nel file plugin.yml, non ci sono i permessi. Nell if(cmd etc.. etc... mettici anche && pl.hasPermission("il.tuo.permesso")
Se ti sono stato utile pigia quel bel pulsantino REP.

KINGS OF THE HILLS
[Immagine: xwUIc7j.jpg]


[Immagine: Renzi.jpg]
RENZI COMANDERA' IL MONDO UN GIORNO!
28/06/2015, 17:59Nickframe76 ha scritto: No, nel file plugin.yml, non ci sono i permessi. Nell if(cmd etc.. etc... mettici anche && pl.hasPermission("il.tuo.permesso")
In realta' i permessi si possono mettere anche dentro a plugin.yml. Vedi: http://wiki.bukkit.org/Plugin_YAML
Comunque, consiglierei pl.hasPermission(new Permission("il.permesso.del.comando", PermissionDefault.OP)).

PS: PermissionDefault e' una classe enum. Puoi scegliere tra 4 diversi valori FALSE, NOT_OP, OP, TRUE. Puoi trovare piu' informazioni qui: https://hub.spigotmc.org/javadocs/spigot...fault.html
Quando non ti ricordi gli argomenti di qualche metodo oppure vuoi vedere se esiste qualche evento etc puoi trovare tutto qui: https://hub.spigotmc.org/javadocs/spigot/

@Nickframe76 (Modificato 28/06/2015, 18:26 da EduProArd.)
_____________________________________________________________________________________________________________
GitHub: https://github.com/EduProArd/
Come contattarmi: Skype("EduProArd") oppure per MP("Messaggio privato sul forum")
Hosting: https://www.easyware-hosting.ch/
EasyWay: https://www.minecraft-italia.it/forum/t-easyway-servizi-di-sviluppo-plugin-ed-amministrazione-di-sistema
_____________________________________________________________________________________________________________
Raga ma Il Plugin.yml cosa ci scrivo dentro?
@EduProArd
@Nickframe76 (Modificato 28/06/2015, 21:05 da C0mm4nd_.)
Conzolez:
Nintendo 3DS XL (Blue-Black) v11.3 (Homebrew)
Gioco più giocato: The Legend of Zelda: Ocarina of Time 
Wii U (Premium Pack) v5.5.1 (Homebrew)
Gioco più giocato: The Legend of Zelda: Wind Waker HD
Nintendo Switch (Neon controllers) v2.0 
Gioco più giocato: The Legend of Zelda: Breath of The Wild

(No, non sono un fan di zelda Shifty )

PC:
Portatile schifoso da 300€
Nel plugin.yml devi inserire:
name,version,main e se ci sono comandi anche essi
Inoltre ci sono anche voci opzionali come ad esempio description o permissions Wink
Attento alla sintassi,è molto importante in ogni file YAML
@XxAle2004xX (Modificato 28/06/2015, 21:11 da sistem.)
[Immagine: d84d3b36b538694e66e1163eb767a97b.png]
Nel plugin.yml ci sono diverse cose che puoi scrivere.

Le più basilari sono:

name: ilnomedelpl
main: la classe principale del pl
version: versione del pl
author: l'autore
description: descrizione del pl
commands: 
   comando:
   description: descrizione del comando
   usage: /<command> <args> <args1>
Se ti sono stato utile pigia quel bel pulsantino REP.

KINGS OF THE HILLS
[Immagine: xwUIc7j.jpg]


[Immagine: Renzi.jpg]
RENZI COMANDERA' IL MONDO UN GIORNO!
@sistem ho messo tutte le cose che hai detto ma mi dice lo stesso "Invalid plugin.yml"

Questo è il file corrente:
name: AntiGrief

main: io.github.ale2004.AntiGrief.antigrief

version: 1.0

description: AntiGrief!

commands:

op:

description: Op

essentials:op:

description: Op

bukkit:op:

description: Op (Modificato 28/06/2015, 21:15 da C0mm4nd_.)
Conzolez:
Nintendo 3DS XL (Blue-Black) v11.3 (Homebrew)
Gioco più giocato: The Legend of Zelda: Ocarina of Time 
Wii U (Premium Pack) v5.5.1 (Homebrew)
Gioco più giocato: The Legend of Zelda: Wind Waker HD
Nintendo Switch (Neon controllers) v2.0 
Gioco più giocato: The Legend of Zelda: Breath of The Wild

(No, non sono un fan di zelda Shifty )

PC:
Portatile schifoso da 300€
Dove hai creato il file?
Mi sa che hai sbagliato qualcosa nella creazione di esso,per crearlo basta fare tasto destro sul project-->new-->file

@XxAle2004xX (Modificato 28/06/2015, 21:18 da sistem.)
[Immagine: d84d3b36b538694e66e1163eb767a97b.png]
  • Pagine (2):
  • 1
  • 2
  • »
Discussioni simili
 
[Problema] plugin fazioni
Ultima risposta: Lafa_96
1 ora fa
 
[Problema] Disenchant plugin
3 29
Ultima risposta: zBoringDrop
16/11/2017, 20:58
 
[Problema] plugin
Ultima risposta: MasterAle_
12/11/2017, 20:21
 
[Risolto] Plugin LuckyBlock
Ultima risposta: zDrakeeBoy_
08/11/2017, 00:12
 
[Problema] Plugin Crackshot
Ultima risposta: xBuilderch
08/11/2017, 00:10

Utente(i) che stanno guardando questa discussione: 1 Ospite(i)